<?php

use OCP\AppFramework\Router;
use OCP\IContainer;

$container->registerService('SettingsController', function(IContainer $c) {
    return new \OCA\Deckflow\Controller\SettingsController(
        $c->query('OCP\IRequest'),
        $c->query('OCP\IUserSession'),
        $c->query('OCA\Deckflow\Service\WorkflowService')
    );
});

// Hier wird die Route für den Webhook definiert
$container->registerService('WebhookController', function(IContainer $c) {
    return new \OCA\Deckflow\Controller\WebhookController(
        $c->query('OCP\IRequest'),
        $c->query('OCA\Deckflow\Service\WorkflowService')
    );
});
