<?php

namespace OCA\Deckflow\AppInfo;

use OCP\AppFramework\App;
use OCA\Deckflow\Controller\SettingsController;

class Application extends App {
    public function __construct() {
        parent::__construct('deckflow');
    }

    public function register() {
        $this->getContainer()->registerService('SettingsController', function($c) {
            return new SettingsController(
                $c->query('OCP\IRequest'),
                $c->query('OCP\IUserSession'),
                $c->query('OCA\Deckflow\Service\WorkflowService')
            );
        });
    }
}
